<jsp:directive.page pageEncoding="UTF-8" />
<jsp:scriptlet>
	// printSystemInfo.jsp は、System.getProperties で取得した環境変数を取得します。
</jsp:scriptlet>

<b>System Properties</b><br />
<table border="2" frame="box" rules="all" >
<tr><th>KEY</th><th>VALUE</th></tr>
<jsp:scriptlet>
	// printSettion.jsp は、javax.servlet.http.HttpSession オブジェクトのことです。
	// JSP では、session オブジェクトでアクセスできます。
	// スコープは、session です。

	if( true ) {
		java.util.TreeSet keys = new java.util.TreeSet( System.getProperties().stringPropertyNames() );

		for( Object key : keys ) {
		    Object value = System.getProperty((String)key);
</jsp:scriptlet>
<tr><td><%= key %></td><td style="white-space: normal"><%= value %></td></tr>
<jsp:scriptlet>
		}
	}
</jsp:scriptlet>
</table>
<p><!-- --></p>
